Competitor AdsGet the brand profile

Get the brand profile

The client's saved brand profile for ad prompts, or null. Needs competitor_ads:read.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/competitor-ads/brand?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "brand": {
      "product": "example_string",
      "audience": "example_string",
      "benefits": [
        "example_string"
      ],
      "angles": [
        "example_string"
      ],
      "proof": [
        "example_string"
      ],
      "offers": [
        "example_string"
      ],
      "must_avoid": [
        "example_string"
      ],
      "compliance": "example_string"
    },
    "updated_at": "2024-12-25T10:00:00Z"
  }
}
GET
/client/v1/competitor-ads/brand
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Responses

successboolean
dataobject